org.apache.tamaya.inject.internal

## Class ConfiguredTypeImpl

- java.lang.Object
- - org.apache.tamaya.inject.internal.ConfiguredTypeImpl

- All Implemented Interfaces:
    org.apache.tamaya.inject.spi.ConfiguredType

      public class ConfiguredTypeImpl
      extends Object
      implements org.apache.tamaya.inject.spi.ConfiguredType

  Structure that contains and manages configuration related things for a configured type registered. Created by Anatole on 03.10.2014.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfiguredTypeImpl(Class type)` Creates an instance of this class hereby evaluating the config annotations given for later effective injection (configuration) of instances.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Object instance)` Method called to configure an instance.
    `void` | `configure(Object instance, org.apache.tamaya.Configuration config)`
    `Collection<org.apache.tamaya.inject.spi.ConfiguredField>` | `getConfiguredFields()` Get the registered configured fields.
    `Collection<org.apache.tamaya.inject.spi.ConfiguredMethod>` | `getConfiguredMethods()` Get the registered annotated setter methods.
    `String` | `getName()`
    `Class` | `getType()`
    `static boolean` | `isConfigured(Class type)`
    `static boolean` | `isConfiguredField(Field field)`
    `static boolean` | `isConfiguredMethod(Method method)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfiguredTypeImpl

          public ConfiguredTypeImpl(Class type)

      Creates an instance of this class hereby evaluating the config annotations given for later effective injection (configuration) of instances.
      Parameters:
        `type` - the instance type.

  - ### Method Detail

    - #### configure

          public void configure(Object instance)

      Method called to configure an instance.
      Parameters:
        `instance` - The instance to be configured.

    - #### configure

          public void configure(Object instance,
                       org.apache.tamaya.Configuration config)

      Specified by:
        `configure` in interface `org.apache.tamaya.inject.spi.ConfiguredType`

    - #### isConfigured

          public static boolean isConfigured(Class type)

    - #### isConfiguredField

          public static boolean isConfiguredField(Field field)

    - #### isConfiguredMethod

          public static boolean isConfiguredMethod(Method method)

    - #### getType

          public Class getType()

      Specified by:
        `getType` in interface `org.apache.tamaya.inject.spi.ConfiguredType`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.apache.tamaya.inject.spi.ConfiguredType`

    - #### getConfiguredFields

          public Collection<org.apache.tamaya.inject.spi.ConfiguredField> getConfiguredFields()

      Get the registered configured fields.
      Specified by:
        `getConfiguredFields` in interface `org.apache.tamaya.inject.spi.ConfiguredType`
      Returns:
        the registered configured fields, never null.

    - #### getConfiguredMethods

          public Collection<org.apache.tamaya.inject.spi.ConfiguredMethod> getConfiguredMethods()

      Get the registered annotated setter methods.
      Specified by:
        `getConfiguredMethods` in interface `org.apache.tamaya.inject.spi.ConfiguredType`
      Returns:
        the registered annotated setter methods, never null.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.